import { createUeuse } from "@/lib/client";
import { format } from "date-fns";

console.log("新年迎春の投稿を行います");

try {
  await createUeuse({
    text: `あけましておめでとうございます。今年は、${new Date().getFullYear()}年です。`,
  }, "新年迎春");

  console.log("新年迎春投稿時刻:", format(new Date(), "yyyy/M/d H:mm:ss:SSS"));
  process.exit(0);
} catch (err: any) {
  console.error("message" in err
    ? err.message
    : err);
  process.exit(1);
}